ZendFramework2のインストール

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 532

nvcpg_198

score 23

PHPやApacheをxamppでインストールしました。
それからZendFramework2(最新版)のインストールをしようとしたんですが
うまくいかないです。

composerというものでインストールしようとすると
以下のエラーが表示されます。

The PHP exe file you specified did not run correctly:
C:\xampp\php\php.exe

The php.ini used by your command-line PHP is: C:\xampp\php\php.ini

A setting in your php.ini could be causing the problem: Either the 'extension_dir' value is incorrect or the dll does not exist.

Program Output:
PHP Warning:  PHP Startup: Unable to load dynamic library 'php_mbstring.dll' (tried: C:\php\ext\php_mbstring.dll (指定されたモジュールが見つかりません。
), C:\php\ext\php_php_mbstring.dll.dll (指定されたモジュールが見つかりません。
)) in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'php_openssl.dll' (tried: C:\php\ext\php_openssl.dll (指定されたモジュールが見つかりません。
), C:\php\ext\php_php_openssl.dll.dll (指定されたモジュールが見つかりません。
)) in Unknown on line 0

指定されたモジュールはPHPフォルダがCドライブの直下にあることを
前提としているようですが、これはもしかしてXAMPPを使って
PHPをインストールしないほうがよかったのでしょうか?

ドツボにはまりそうな気がしましたので質問します。
これ、単にCドライブ直下にPHPフォルダを作成して
エラーメッセージで出ているファイルを設置するという
対応で後々問題出たり途中で失敗したりはしないでしょうか?

一からやり直すにしても、インストール時に気を付けるべき
ことなど教えてもらえると嬉しいです。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

>これはもしかしてXAMPPを使ってPHPをインストールしないほうがよかったのでしょうか?

それならば、phpinfo()でちゃんとphp読み込めているか見てみてはどうでしょう?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/02/08 15:47

    phpを読み込めているとはどういうことでしょうか?
    phpinfo()を使うとphpに関する表示はされます。

    キャンセル

  • 2018/02/08 19:48

    ここら辺を参考にテストしてみてください。成功はテストの繰り返しす。

    https://qiita.com/sango/items/a86f9b8cf8c9c641823a

    https://blog.verygoodtown.com/2016/12/wordpress-log-debug/

    あとXAMMPでうまくいかなかったからcomposer使っているとのことですが、なにがうまくいかなかったのかを説明してください。

    composerよりXAMMPで導入する方が早いです。

    キャンセル

  • 2018/02/09 03:07

    すみません、自己解決できました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.22%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る